declare const reducers: import("redux").Reducer<import("redux").CombinedState<{
    login: {
        loading: boolean;
    };
    register: {
        loading: boolean;
    };
    user: {
        organizations: import("../../../../typings").UserOrganization[];
        organizationId: string;
    };
}>, import("typesafe-actions").PayloadAction<"SYSTEM_LOGIN__LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"SYSTEM_LOGIN__LOGIN", {
    account: string;
    password: string;
    onSuccess?(res?: import("../../../../typings").LoginReturn | undefined): void;
    onFail?(): void;
}> | import("typesafe-actions").PayloadAction<"SYSTEM_REGISTER__LOADING", {
    loading: boolean;
}> | import("typesafe-actions").PayloadAction<"SYSTEM_REGISTER__REGISTER", {
    userInfo: import("../../../../typings").RegisterParams;
    cb: (() => void) | undefined;
}> | import("typesafe-actions").PayloadAction<"SYSTEM__FETCH_ORGANIZATION_LIST", {}> | import("typesafe-actions").PayloadAction<"SYSTEM__PUSH_ORGANIZATION_LIST", {
    list: import("../../../../typings").UserOrganization[];
}> | import("typesafe-actions").PayloadAction<"SYSTEM__UPDATE_ORGANIZATION_ID", {
    id: string;
}>>;
export default reducers;
